This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885291 - (netsed) Review Request: netsed - A tool to modify network packets
Review Request: netsed - A tool to modify network packets
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-12-08 04:51 EST by Fabian Affolter
Modified: 2014-09-11 11:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 22:07:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-12-08 04:51:30 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/netsed.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/netsed-1.1-1.fc17.src.rpm

Project URL: http://silicone.homelinux.org/projects/netsed/

Description:
NetSED is small and handful utility designed to alter the contents of
packets forwarded through your network in real time. It is really useful
for network hackers in following applications:

* black-box protocol auditing - whenever there are two or more
  proprietary boxes communicating over undocumented protocol (by enforcing 
  changes in ongoing transmissions, you will be able to test if tested 
  application is secure),

* fuzz-alike experiments, integrity tests - whenever you want to test 
  stability of the application and see how it ensures data integrity,

* other common applications - fooling other people, content filtering,
  etc - choose whatever you want to.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4768734

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint netsed-1.1-1.fc17.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop11 x86_64]$ rpmlint netsed*
netsed.x86_64: E: incorrect-fsf-address /usr/share/doc/netsed-1.1/LICENSE
netsed.x86_64: W: no-manual-page-for-binary netsed
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

Fedora Account System Username: fab
Comment 1 Michael Scherer 2012-12-10 12:23:12 EST
Package is good, just missing the test suite, if you can enable it, I will approve the package ( or if you have a reason to not enable it ).


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

[!]: %check is present and all tests pass.
It seems there is a test suite, and it can be run without being 
root, can you enable it ( this requires ruby )


===== MUST items =====

C/C++:
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/misc/checkout/git/FedoraReview/885291-netsed/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: netsed-1.1-1.fc18.x86_64.rpm
netsed.x86_64: E: incorrect-fsf-address /usr/share/doc/netsed-1.1/LICENSE
netsed.x86_64: W: no-manual-page-for-binary netsed
1 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint netsed
netsed.x86_64: E: incorrect-fsf-address /usr/share/doc/netsed-1.1/LICENSE
netsed.x86_64: W: no-manual-page-for-binary netsed
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
netsed (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
netsed:
    netsed
    netsed(x86-64)



MD5-sum check
-------------
http://silicone.homelinux.org/release/netsed/netsed-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 0271f872b1afb8fb63c53b3651c0450eed3d0b79ddb31bb208c8766b2995d86e
  CHECKSUM(SHA256) upstream package : 0271f872b1afb8fb63c53b3651c0450eed3d0b79ddb31bb208c8766b2995d86e


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -b 885291
Comment 2 Fabian Affolter 2012-12-19 12:49:57 EST
(In reply to comment #1)
> Package is good, just missing the test suite, if you can enable it, I will
> approve the package ( or if you have a reason to not enable it ).

Tests added. Thanks for the hint.

* Wed Dec 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.1-2
- Docs added
- Test enabled

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/netsed.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/netsed-1.1-2.fc17.src.rpm
Comment 3 Michael Scherer 2012-12-20 10:37:57 EST
Approved
Comment 4 Fabian Affolter 2013-01-05 15:37:21 EST
Thanks for the review, Michael.
Comment 5 Fabian Affolter 2013-01-05 15:38:00 EST
New Package SCM Request
=======================
Package Name: netsed
Short Description: A tool to modify network packets
Owners: fab
Branches: F17 F18
InitialCC:
Comment 6 Jon Ciesla 2013-01-07 08:28:28 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-07 13:46:43 EST
netsed-1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/netsed-1.1-2.fc17
Comment 8 Fedora Update System 2013-01-07 13:46:59 EST
netsed-1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/netsed-1.1-2.fc18
Comment 9 Fedora Update System 2013-01-08 15:16:47 EST
netsed-1.1-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-01-19 22:07:23 EST
netsed-1.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-01-19 22:07:50 EST
netsed-1.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fabian Affolter 2014-09-11 10:11:26 EDT
Package Change Request
======================
Package Name: netsed
New Branches: el6 epel7
Owners: fab 
InitialCC:
Comment 13 Jon Ciesla 2014-09-11 11:23:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.